Bug 1575833 - Ansible: Playbook named conf.yml fails to provision successfully [NEEDINFO]
Summary: Ansible: Playbook named conf.yml fails to provision successfully
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Automate
Version: 5.10.0
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: GA
: cfme-future
Assignee: Drew Bomhof
QA Contact: Dmitry Misharov
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-08 04:49 UTC by Rodney H. Brown
Modified: 2019-01-02 16:42 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-01-02 16:42:07 UTC
Category: ---
Cloudforms Team: CFME Core
Target Upstream Version:
gmccullo: needinfo? (rbrown4)


Attachments (Terms of Use)

Description Rodney H. Brown 2018-05-08 04:49:41 UTC
Description of problem:
Unable to successfully complete Ansible Tower playbook through custom dialog.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.Configure template in Ansible Tower using a playbook named conf.yml
2. Connect Ansible Tower Provider into CloudForms
3. Create dialog from template
4. Customize the dialog using Automate->Automate->Customize
5. Create catalog item
6. Add item to catalog
7. Order the catalog item.


Actual results:
1. Provisioning fails with exception  no "manager" for nilClass: NilClass


Expected results:
2. Provisioning is successful


Additional info:
Renaming the same playbook to something other than conf.yml will allow the playbook to complete successfully.

Comment 2 mkanoor 2018-05-08 19:13:12 UTC
Hello,
Which version of the Ansible Tower is being used?
Also can the Job template be launched from the tower?
We have been testing with Ansible Tower 3.2.2 and were successful in running a playbook  called conf.yml as part of  a Job Template

Thanks,
Madhu

Comment 3 Rodney H. Brown 2018-05-08 19:52:19 UTC
This was actually using AWX AWX 1.0.6.3. The job template launched successfully from AWX but received an exception in CF.

Comment 4 mkanoor 2018-05-10 20:52:57 UTC
Hello,
I tried a conf.yml on AWX  AWX 1.0.6.5 with Ansible 2.5.2 and I was able to order the job template without any issues.
Can you please supply the logs with the error message.
Thanks

Comment 5 mkanoor 2018-05-10 21:18:38 UTC
I was using the following conf.yml 
https://github.com/mkanoor/playbook/blob/master/conf.yml
It takes 2 extra vars user and sleep

Comment 6 Greg McCullough 2018-05-14 21:00:55 UTC
Discussed this issue briefly at Summit.  The Playbook was renamed and things started working.  Not sure if this is a reserved name or if there is a different root cause.

Waiting on feedback from the reporter.

Comment 7 Drew Bomhof 2018-05-15 15:26:50 UTC
After digging into this we think the playbook may have been removed from the repo.

If the issue can be duplicated we would really need the logs as we're not able to duplicate it over here.

Comment 8 Rodney H. Brown 2018-05-15 15:28:50 UTC
I will attempt to reproduce today and provide some logs.  It could be that this was an unrelated coincidence.

Comment 9 Greg McCullough 2018-12-11 19:56:50 UTC
Any update on this issue?  If we do not get a response in 2 weeks the issue will be closed.  Thanks


Note You need to log in before you can comment on or make changes to this bug.